'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.post('mission', '/api/mission/progress', controller.mission.progress);
  router.get('mission', '/api/mission/count', controller.mission.count);
  router.post('mission', '/api/mission/start/:id', controller.mission.start);
  router.resources('mission', '/api/mission', controller.mission); // index、create、show、destroy
  router.post('mission', '/api/mission/update/:id', controller.mission.update);
};
