'use strict';

module.exports = () => {
  const config = (exports = {});
  config.cluster = {
    listen: {
      port: 4001,
    },
  };

  config.logger = {
    level: 'DEBUG',
    consoleLevel: 'DEBUG',
  };

  config.mongoose = {
    url: 'mongodb://localhost:27017/mission',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useUnifiedTopology: true,
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  return config;
};
