'use strict';

module.exports = () => {
  const config = (exports = {});

  config.logger = {
    level: 'DEBUG',
    consoleLevel: 'DEBUG',
  };
  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/mission',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useUnifiedTopology: true,
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'platform',
    },
    app: true,
    agent: true,
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  config.project = {
    zhwl: 'http://127.0.0.1:4001',
    userAuth: 'http://127.0.0.1:4000',
  };

  return config;
};
